GET /granules
Summary: Search granules
Operation ID: searchGranules
Auth: unknown
Operation ID: searchGranules
Auth: unknown
Description
Search for data granules (individual files) within collections. Requires a collection filter (concept_id, short_name, provider, etc.).
Parameters (11)
bounding_box
(string, query, optional)
Spatial bounding box in format: min_lon,min_lat,max_lon,max_lat
cloud_cover
(string, query, optional)
Cloud cover percentage range
concept_id
(string, query, optional)
Parent collection concept ID
day_night_flag
(string, query, optional)
Day or night acquisition
Constraints: {'enum': ['DAY', 'NIGHT', 'UNSPECIFIED']}
granule_ur
(string, query, optional)
Granule unique identifier
page_size
(integer, query, optional, default: 10)
Number of results per page (max 2000)
Constraints: {'maximum': 2000}
point
(string, query, optional)
Point location in format: lon,lat
producer_granule_id
(string, query, optional)
Producer granule ID
short_name
(string, query, optional)
Collection short name
temporal
(string, query, optional)
Temporal range in ISO 8601 format
version
(string, query, optional)
Collection version
Examples (5)
| Title | Type | URL | Action |
|---|---|---|---|
| Search granules by bounding box | curl |
https://cmr.earthdata.nasa.gov/search/granules?bounding_box=-122.5,37.7,-122.3,37.9&page_size=10 |
|
| Search granules by collection with temporal filter | curl |
https://cmr.earthdata.nasa.gov/search/granules?collection_concept_id=C1234567890-PROV&temporal=2024-01-01T00:00:00Z,2024-03-01T00:00:00Z&page_size=20 |
|
| Search granules by point with cloud cover filter | curl |
https://cmr.earthdata.nasa.gov/search/granules?point=-95.5,29.7&cloud_cover=0,10&day_night_flag=DAY&page_size=15 |
|
| Search for granules | openapi-spec |
https://cmr.earthdata.nasa.gov/search/granules?collection_concept_id=C123456-PROV1&temporal=2020-01-01T00:00:00Z,2020-12-31T23:59:59Z&cloud_cover=0,20 |
|
| Search granules | openapi-spec |
https://cmr.earthdata.nasa.gov/granules?cloud_cover=0,20 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:37:07.972040 | 200 | 403ms | |
| 2026-03-23 10:32:01.733152 | 400 | 338ms | |
| 2026-03-23 10:30:29.569113 | 403 | 66ms | |
| 2026-03-23 10:19:06.135687 | 403 | 66ms | |
| 2026-03-23 09:31:51.568961 | 200 | 195ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 10:19:06.135687 | 0e5460cc5909 |
64a78e97cc8c |
| 2026-03-23 10:30:29.569113 | 64a78e97cc8c |
35f805892881 |
| 2026-03-23 10:32:01.733152 | 35f805892881 |
1895029158f8 |
| 2026-03-23 10:37:07.972040 | 1895029158f8 |
0742677d0de7 |